python2.6安装报_ssl模块错误

在ubuntu系统中安装Python2.6,执行./configure后,在执行make报fail to build the module _ssl,大神给指点下怎么解决啊?搞了两天了,各种查资料,尝试都没解决

2个回答

你的系统是否有安装OpenSSL

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
python 安装模块报ssl证书错误
[root@node01 ~]# python Python 2.7.3 (default, Jul 20 2017, 18:40:16) [GCC 4.4.7 20120313 (Red Hat 4.4.7-18)] on linux2 Type "help", "copyright", "credits" or "license" for more information. >&gt...
python2.6安装MySQLdb模块(源码编译)
一)准备 软件包: Python2.6.tar.gz、MySQL-python-1.2.3c1.tar.gz、setuptools-0.6c11.tar.gz。 二)安装 1)安装 python2.6,设置安装路径为/usr/local/python2.6。 [code="java"][root@wangqiang Python-2.6]# /usr/local/python2.6/bin...
pip安装模块总是报ssl module in Python is not available的错误
环境:centos 6.5 + python2.7.13n问题:使用pip安装模块,总是包pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available的错误。已知系统已经安装openssl、openssl-devel、pyopenssl等模块。请大神帮忙解答。nn[root@www ~]# pip install sixnpip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.nCollecting sixn Could not fetch URL https://pypi.python.org/simple/six/: There was a problem confirming the ssl certificate: Can't connect to HTTPS URL because the SSL module is not available. - skippingn Could not find a version that satisfies the requirement six (from versions: )nNo matching distribution found for six
nginx 安装ssl模块
nginx安装ssl模块 针对已安装过nginx,需安装ssl模块 1 查看nginx编译安装时的命令,安装了哪些模块和nginx版本 [root@izbp10zim3tjch7uz2pqikz /]# /usr/local/nginx-1.13.5/sbin/nginx -V nginx version: nginx/1.13.5 built by gcc 4.8.5 20150623 (...
anaconda 执行命令报ssl错误
conda 安装遇到问题后,一番折腾最后卸载重装了,很是郁闷。但是重装之后却遇到ssl模块失效的错误: An HTTP error occurred when trying to retrieve this URL. HTTP errors are often intermittent, and a simple retry will get you on your way. SSLError(M...
python2.6的numpy模块
主要用于数据处理分析,方便矩阵数组向量等运算
Python2.6中shutil.rmtree错误
[code=Python]rnimport shutilrnshutil.rmtree('D:\\Test')rn[/code]rn出错信息如下:rnTraceback (most recent call last):rn File "D:\Python\shutil.py", line 1, in rn import shutilrn File "D:\Python\shutil.py", line 2, in rn shutil.rmtree('D:\\Test')rnAttributeError: 'module' object has no attribute 'rmtree'rnrn请大家帮看下
pip 安装 ssl错误
Could not fetch URL https://pypi.python.org/simple/xlrd/: There was a problem confirming the ssl certificate: [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:661) - skippingC...
python2.6 linuxmercurial安装基础
python-2.6.tgz linux mercurial安装基础
如何安装python2.6
由于机器上的python 版本比较高,需要安装一个低版本的python具体执行步骤:1. 使用如下命令下载到2.6版本wget http://www.python.org/ftp/python/2.6/Python-2.6.tgz2. 解压pythontar xzf Python-2.6.tgz cd Python-2.63. 编译安装python./configure --prefix=/usr
python2.6安装fabric
python2.6安装
PIP install 时 报需要SSL模块
今天用PIP安装一个新的模块库,突然报告说PIP install 时 报需要SSL模块,HTTPS 服务错 pip is configured with locations that require TLS/SSL, however the ssl module in Python is not avaiable. 一开始以为SSL坏了,在Python 里 import ssl 一试, 说找不...
python2.6下安装py2exe失败
正常安装完之后,导入模块的时候提示如下错误,请看下是什么原因rnrn安装的版本为:py2exe-0.6.9.win32-py2.6.exernrn>>> import py2exernrnTraceback (most recent call last):rn File "", line 1, in rn import py2exern File "E:\python2.6\Lib\site-packages\py2exe\__init__.py", line 67, in rn import distutils.dist, distutils.core, distutils.command, build_exe, sysrn File "E:\python2.6\Lib\site-packages\py2exe\build_exe.py", line 16, in rn import setsrn File "E:\python2.6\lib\sets.py", line 85, in rn stacklevel=2)rn File "E:\python2.6\lib\warnings.py", line 29, in _show_warningrn file.write(formatwarning(message, category, filename, lineno, line))rnTypeError: idle_formatwarning_subproc() takes exactly 4 arguments (5 given)rn
windows 安装composer 报SSL错误的解决方式
先去http://curl.haxx.se/docs/caextract.html  下载下面两个文件 HTTP from curl.haxx.se: cacert.pem HTTPS from github: ca-bundle.crt 打开 php.ini 添加 openssl.cafile= "E:\xampp\php\cacert.pem" 继
gem install安装报SSL证书错误的解决办法
前言 记录一下ruby淘宝源失效和gem install SSL错误等问题。
解决python2.6打开url的错误
报错原因:py2.6用urllib2.urlopen打开链接,会报 URLError: <urlopen error [Errno 1] _ssl.c:490: error:1407742E:SSL routines:SSL23_GET_SERVER_HELLO:tlsv1 alert protocol version>错误 网上搜索了很久发现,下面这段代码可以完美解决问题: ...
RHN客户端注册的时候报SSL错误
RHN Server 信息:IP : 192.168.3.2Hostname: desktop2.example.comRHN Client IP信息IP: 192.168.3.3 Hostname: buildRPM1.通过图形化界面注册:[root@buildRPM ~]# rhn_reg...
python安装的时候报SSL连接错误的解决办法
Collecting xlwt   Could not fetch URL https://pypi.python.org/simple/xlwt/: There was a problem confirming the ssl certificate: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:661)
关于conda install 报SSL错误的解决。
当conda install出现这个错误的时候: SSLError(MaxRetryError('HTTPSConnectionPool(host=\'repo.anaconda.com\', port=443): Max retries exceeded with url: /pkgs/free/win-32/repodata.json.bz2 (Caused by SSLError(SSLE...
Anaconda 执行conda命令报ssl错误
执行conda upgrade numpy命令报SSLError 的错误,错误截图如下: 该错误因为找不到SSL模块,因此需要将SSL模块所在的文件夹路径加入环境变量(D:\Program Files\Anaconda3\Library\bin) 同时,numpy导入报错的问题也会解决。 ...
Python2.6 下安装 mysql (Windows xp)
NULL 博文链接:https://pqcc.iteye.com/blog/511588
jdbc连接mysql数据库报时区错误和SSL连接错误
错误1:时区错误 报错信息: com.mysql.cj.core.exceptions.InvalidConnectionAttributeException: The server time zone value '?й???????' is unrecognized or represents more than one time zone. You must configure eith...
pip安装python模块报延时错误的解决方法
其实很简单,选用国内的镜像即可,举例: pip install numpy -i http://pypi.douban.com/simple --trusted-host pypi.douban.com -i http://pypi.douban.com/simple表示选择镜像网站 --trusted-host pypi.douban.com表示信任该网站
Apache配置及PHP模块,Apache的PHP开发环境配置,安装Apache报错误
安装Apache报错误 使用管理员运行httpd -k install 命令运行报错 httpd : 无法将“httpd”项识别为 cmdlet、函数、脚本文件或可运行程序的名称。请检查名称的拼写,如果包括路径...... 解决方法运行安装: .\httpd -k install 官网下载PHP压缩包,解压到一个文件夹中,最好全英文无空格的路径。 (注意下载x86版本) 在...
windows下Python PIP 安装模块报ascii码错误的问题
windows下Python PIP 安装模块报ascii码错误的问题
ubuntu14.04下面安装himawaripy模块时候报下面这个错误
libImaging/ImPlatform.h:10:20: fatal error: Python.h: 没有那个文件或目录 #include “Python.h” 是因为没有python-dev模块 sudo apt-get install python-dev
安装vue-cli报4058错误
过程描述: 在安装过程中中断过,然后再重新安装。再次安装报错no such file or directory, access 'C:\nodejs\node_global\node_modules\vue-cli\node_modules\get-stream' 猜测原因: 在安装过程中,可能vue-cli安装至一半,再次安装时,会认为vue-cli已经安装过宠儿去找相关文件。由于相关文件还未下...
python-ldap安装报gcc错误
sudo apt-get install build-essential libssl-dev libffi-dev python-dev https://stackoverflow.com/questions/41492878/command-x86-64-linux-gnu-gcc-failed-with-exit-status-1
MongoDB的安装(报10061错误)
最近在用express做项目,需要用到MongoDB数据库。安装的过程中遇到了一些小问题,写在这里希望能帮到遇到相同问题的小白,嘿嘿(我也是一个小白菜)
VMWare安装报1935错误
VMWare安装报1935错误 先打开注册表:按win键+R输入regedit
ubunut,已经安装nginx,开启SSL模块
ubunut,已经安装nginx,开启SSL模块
在已经安装的nginx上,增加ssl模块
1. /usr/local/nginx/sbin/nginx -V 查看nginx版本与编译安装了哪些模块 nginx version: nginx/1.10.3 built by gcc 4.4.7 20120313 (Red Hat 4.4.7-18) (GCC) built with OpenSSL 1.0.1e-fips 11 Feb 2013 TLS SNI support en
centos7安装Nginx 以及配置SSL模块
yum install gcc-c++ yum install -y pcre pcre-devel yum install -y zlib zlib-devel yum install -y openssl openssl-devel 官网:https://nginx.org/en/download.html 选择安装包右键复制链接地址。执行wget -c "复制的链接地址",例如: ...
Nginx安装ssl模块和nginx_lua模块
声明,为了简单介绍,所有命令默认root权限在Centos环境下,生成证书前先要确保安装openSSL和openSSL-devel模块yum install openssl yum install openssl-devel 下载编译LuaJIT2.0(是一个利用JIT编译技术把Lua脚本直接编译成机器码由CPU运行)wget -c http://luajit.org/download/LuaJIT
SSL错误
最近在使用数据库是报以下错误 Fri Jan 18 10:10:26 CST 2019 WARN: Caught while disconnecting... EXCEPTION STACK TRACE:   ** BEGIN NESTED EXCEPTION ** javax.net.ssl.SSLException MESSAGE: closing inbound before re...
mod_python for python2.6
找了很久的 刚刚找到的mod_python Python2.6版 我安装成功了,但还还没测试,先共享了
python2.6(English)
Python,是一種物件導向、直譯式電腦程式語言,也是一種功能強大而完善的通用型語言,已經具有十多年的發展歷史,成熟且穩定。 這種語言具有非常簡捷而清晰的語法特點,適合完成各種高層任務,幾乎可以在所有的作業系統中運行。 目前,基於這種語言的相關技術正在飛速的發展,用戶數量急劇擴大,相關的資源非常多。 Python的創始人為Guido van Rossum。在1989年聖誕節期間的阿姆斯特丹,Guido為了打發聖誕節的無趣,決心開發一個新的指令碼解釋程式,作為ABC語言的一種繼承。之所以選中 Python(大蟒蛇的意思)作為程式的名字,是因為他是一個Monty Python的飛行馬戲團的愛好者。 ABC是由Guido參加設計的一種教學語言。就Guido本人看來,ABC 這種語言非常優美和強大,是專門為非專業程式設計師設計的。但是ABC語言並沒有成功,究其原因,Guido 認為是非開放造成的。Guido 決心在 Python 中避免這一錯誤(的確如此,Python 與其它的語言如C、C++和Java結合的非常好)。同時,他還想實作在 ABC 中閃現過但未曾實作的東西。 就這樣,Python在Guido手中誕生了。實際上,第一個實作是在Mac機上。可以說,Python是從ABC發展起來,主要受到了Modula-3(另一種相當優美且強大的語言,為小型團體所設計的)的影響。並且結合了Unix shell和C的習慣。
nginx安装nginx_concat_module模块报400错误的问题
在向nginx添加该模块之前,修改nginx_concat_module的源代码文件ngx_http_concat_module.c,将application/x-javascript更改为application/javascript,然后再编译安装
python2.6参考文档
python2.6参考文档,开发者必备的工具之一,你的疑惑都可以在里面找到答案
pip安装模块提示python没有可用的ssl模块
解决办法: 1、安装openssl-devel yum install openssl-devel -y 2、进入python3.6解压包目录 这是我的python3的解压包目录: /usr/Python-3.6.5 cd /usr/Python-3.6.5 3、重新编译python3.6.5 make clean ./configure make && make instal...
相关热词 c++和c#哪个就业率高 c# 批量动态创建控件 c# 模块和程序集的区别 c# gmap 截图 c# 验证码图片生成类 c# 再次尝试 连接失败 c#开发编写规范 c# 压缩图片好麻烦 c#计算数组中的平均值 c#获取路由参数